VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Change Window Caption Demo"
   ClientHeight    =   3510
   ClientLeft      =   4065
   ClientTop       =   1890
   ClientWidth     =   6585
   LinkTopic       =   "Form1"
   ScaleHeight     =   234
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   439
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   495
      Left            =   3840
      TabIndex        =   2
      Top             =   2190
      Width           =   1215
   End
   Begin VB.CommandButton cmdSet 
      Caption         =   "Set Title Bar"
      Height          =   495
      Left            =   2520
      TabIndex        =   1
      Top             =   2190
      Width           =   1215
   End
   Begin VB.TextBox txtString 
      Height          =   315
      Left            =   2280
      TabIndex        =   0
      Top             =   1800
      Width           =   3195
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Window Title"
      Height          =   195
      Left            =   1170
      TabIndex        =   4
      Top             =   1845
      Width           =   930
   End
   Begin VB.Label Label1 
      Caption         =   $"frmDemo.frx":0000
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   930
      Left            =   630
      TabIndex        =   3
      Top             =   450
      Width           =   5130
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Eric Morrison
'July 17, 2000
'Nova Scotia, Canada
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
'This will change the Title Bar on any window you click on
'after you click the Set TitleBar button
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Declare Function WindowFromPoint Lib "user32" _
(ByVal xPoint As Long, ByVal yPoint As Long) As Long

Private Declare Function SetCapture Lib "user32" _
(ByVal hwnd As Long) As Long

Private Declare Function ReleaseCapture Lib "user32" () As Long

Private Type PointAPI
   X As Long
   Y As Long
End Type

Private Declare Function ClientToScreen Lib "user32" _
(ByVal hwnd As Long, lpPoint As PointAPI) As Long

Private Declare Function SetWindowText Lib "user32" _
Alias "SetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String) As Long

Dim blnChoose As Boolean


Private Sub cmdExit_Click()
Unload Me
End Sub

Private Sub cmdSet_Click()
If txtString = "" Then 'Check see if txtString is empty
    MsgBox "Please enter a Title in text box"
    txtString.SetFocus
    Exit Sub
Else
'Capture the mouse and set blnChoose to True
    blnChoose = True
    intRetVal = SetCapture(hwnd)
End If
End Sub

Private Sub Form_Load()
    blnChoose = False 'Set blnChoose to False
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, _
X As Single, Y As Single)

Dim ptPoint As PointAPI
Dim Window As Long

'Determines the screen location when mouse button was pressed
If blnChoose Then
    ptPoint.X = X
    ptPoint.Y = Y
    retVal = ClientToScreen(hwnd, ptPoint)
    
    Window = WindowFromPoint(ptPoint.X, ptPoint.Y)
    
    'Change the Windows Title Bar to the String user enters
    Call SetWindowText(Window, txtString)
End If
End Sub

Private Sub txtString_KeyPress(KeyAscii As Integer)
'Check if user hits the Enter key in txtString box
If KeyAscii = 13 Then
    cmdSet.SetFocus
End If
End Sub


